Skip to main content
`Ctrl`+`K`

# BVDestroy

Destroys a `BV` context that was created with `BVCreate()`.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVDestroy(BV *bv)

Collective

## Input Parameter

- bv - the basis vectors context

## See Also

BV: Basis Vectors, `BVCreate()`

## Level

beginner

## Location

src/sys/classes/bv/interface/bvfunc.c

## Implementations

BVDestroy_Contiguous() in src/sys/classes/bv/impls/contiguous/contig.c
BVDestroy_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVDestroy_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVDestroy_Tensor() in src/sys/classes/bv/impls/tensor/bvtensor.c
BVDestroy_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages